| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Digikam::GroupItemFilterSettings Class Reference

## Public Member Functions
bool | isAllOpen () const
bool | isFiltering () const
bool | isOpen (qlonglong group) const
bool | matches (const ItemInfo &info) const
bool | operator== (const GroupItemFilterSettings &other) const
void | setAllOpen (bool open)
| Open all groups.
void | setOpen (qlonglong group, bool open)
| Open or close a group.
DatabaseFields::Set | watchFlags () const

## Protected Attributes
bool | m_allOpen = false
QSet< qlonglong > | m_openGroups

## Member Function Documentation

## ◆ isFiltering()

bool Digikam::GroupItemFilterSettings::isFiltering | ( |  | ) | const

Returns
  True if images will be filtered by these criteria at all

## ◆ matches()

bool Digikam::GroupItemFilterSettings::matches | ( | const ItemInfo & | info | ) | const

Returns
  True if the given ItemInfo matches the filter criteria.